﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SamplePluginUsingOAuth.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body onload="javascript:Setup();">
    <form id="form" runat="server" method="post">
    <h1>Testing plugin functionality</h1>
    <asp:Button ID="InsertButton" runat="server" Text="Insert" OnClientClick="javascript:InsertHtml(); return false;" />
    <div>
        <asp:Label runat="server" ID="RawUrl" />
        <h2>Parameters received through querystring: </h2>
        <asp:BulletedList runat="server" ID="ParamsList"></asp:BulletedList>
        <asp:Label runat="server" ID="SignatureIsValidString"></asp:Label>
        <asp:Label runat="server" ID="SsoVersionLabel"></asp:Label>
        
        <asp:BulletedList runat="server" ID="ItslAuthParamsList"></asp:BulletedList>
    </div>
    <!-- rest calls debug info -->
    <div>
        <span><b>Result from calling getAppLicensesForUser</b>:</span>
        <div>
        <pre><%= LicensesForUserResponse %></pre>
        </div>
        <span>Result from calling getOrganisationsForUser:</span>
        <div>
        <pre><%= OrganisationsForUserResponse %></pre>
        </div>
        <span>Result from calling GetPerson:</span>
        <pre><%= CurrentUserResponse %></pre>
    </div>
    <asp:HiddenField ID="PostToValue" runat="server" />
    <asp:HiddenField ID="IFrameSource" runat="server" />
    </form>
    <form id="insertForm" method="post" action="">
        <input runat="server" type="hidden" name="insertedHtml" id="insertedHtml"/>
    </form>
    <script type="text/javascript">
        // Small javascript to post back to itslearning with the insertedHtml (iframe of this page)
        function Setup() {
            document.getElementById('insertForm').action = document.getElementById('PostToValue').value;
	    }
	    function InsertHtml() {
	        var iframeSource = document.getElementById('IFrameSource').value;
	        document.getElementById('insertedHtml').value = '<iframe src="' + iframeSource + '" frameborder="0" width="100%" height="100%" scrolling="yes"></iframe>';
	        document.getElementById('insertForm').action = document.getElementById('PostToValue').value;
	        document.getElementById('insertForm').submit();
	    }

	</script>
</body>
</html>
